# -*- coding: utf-8 -*-

import utils
from qgis.PyQt.QtWidgets import QWidget
from qgis.core import QgsGeometry
from qgis.core import NULL

def my_form_open(dialog, layer, feature):
	geom = feature.geometry()

	try:
		if feature.attributes()[layer.fieldNameIndex("ID_SLN")] == NULL:
			first_point = geom.asPolyline()[0]
			cod_istat,comune = utils.cod_istat(QgsGeometry.fromPoint(first_point))
			prog = utils.get_next_prog(layer, "ID_SLN")

			id_sln = cod_istat + "L" + prog

			control = dialog.findChild(QWidget, "ID_SLN")
			control.setText(id_sln)

			control = dialog.findChild(QWidget, "ubicazione_com")
			control.setText(comune)
	except:
		pass
